/* Опишите в этом файле все keyframes для проекта и стили анимаций иконки Like.

Будьте внимательны! Для корректной работы скриптов на этом сайте нужно, чтобы в HTML некоторые классы были названы особым образом:
✦ like-icon — для svg-иконки анимированного сердца
✦ card__like-button — для кнопки Like рядом с иконкой
✦ card__icon-button — для кнопки, оборачивающей иконку
✦ card__icon-button — для кнопки, оборачивающей иконку
✦ is-liked — для обозначения состояния лайкнутой иконки в виде сердца
✦ button__text — для обозначения текстового элемента внутри кнопки

*/
/* Базовые переходы для элементов сердца */
/* Анимации для иконки сердца */

/* Базовые переходы для элементов сердца */
.like-icon {
  display: block;
  width: 39px;
  height: 36px;
  transform-origin: center;
  cursor: pointer;
  flex-shrink: 0;
}


.like-icon .heart {
  transform-origin: center;
}


.like-icon svg,
.like-icon symbol,
.like-icon use {
  display: block;
  width: 100%;
  height: 100%;
}


.like-icon .core {
  fill: transparent;
  transition: fill 0.3s linear 0.03s;
}


.like-icon .main-body {
  fill: transparent;
  transition: fill 0.3s linear;
}


.like-icon .contour {
  fill: var(--heart-contour);
  transition: fill 0.1s linear;
}


.like-icon .sparks {
  opacity: 0;
  fill: var(--heart-fill);
  transition: opacity 0s;
}


/* Состояние HOVER */
.like-icon:hover .core {
  fill: var(--heart-contour);
  transition: fill 0.3s linear;
}


.like-icon:hover .main-body {
  fill: var(--heart-contour);
  transition: fill 0.3s linear 0.05s;
}


/* Состояние ACTIVE (зажатие) */
.like-icon:active .core {
  fill: var(--heart-fill);
  transition: fill 0.3s linear;
}


.like-icon:active .main-body {
  fill: var(--heart-fill);
  transition: fill 0.3s linear 0.05s;
}


/* Состояние IS-LIKED (лайк поставлен) */
.like-icon.is-liked .core {
  fill: var(--heart-fill);
  transition: fill 0.3s linear;
}


.like-icon.is-liked .main-body {
  fill: var(--heart-fill);
  transition: fill 0.3s linear 0.05s;
}


.like-icon.is-liked .contour {
  fill: var(--heart-fill);
  transition: fill 0.3s linear 0.06s;
}


/* Анимация масштабирования сердца */
.like-icon.is-liked .heart {
  animation: heart-scale 0.3s ease-in 0.1s 1 normal forwards;
}


/* Анимация появления искр */
.like-icon.is-liked .sparks {
  opacity: 1;
  animation: sparks-fade 0.3s ease-in 0.3s 1 normal forwards;
}


/* KEYFRAMES */
/* Увеличение сердца */
@keyframes heart-scale {
  0% {
    transform: scale(1);
  }


  50% {
    transform: scale(1.25);
  }


  100% {
    transform: scale(1);
  }
}


/* Вспышка искр */
@keyframes sparks-fade {
  0% {
    opacity: 1;
  }

  
  100% {
    opacity: 0;
  }
}

